
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>IPDB module &#8212; pyroute2 0.5.14 documentation</title>
    <link rel="stylesheet" href="_static/classic.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="stylesheet" type="text/css" href="_static/graphviz.css" />
    <link rel="stylesheet" type="text/css" href="_static/custom.css" />
    
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="IPDB guide" href="ipdb.html" />
    <link rel="prev" title="Authorization plugins" href="ndb_auth.html" />
<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-121787797-2"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-121787797-2');
</script>
 

  </head><body>

    <div class="related" role="navigation" aria-label="related navigation">
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="ipdb.html" title="IPDB guide"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="ndb_auth.html" title="Authorization plugins"
             accesskey="P">previous</a> |</li>
        <li class="nav-item"><a href="http://pyroute2.org">Project home</a> &#187;</li>
        <li class="nav-item nav-item-0"><a href="index.html">pyroute2 0.5.14 documentation</a> &#187;</li> 
      </ul>
        </div>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="ipdb-module">
<h1>IPDB module<a class="headerlink" href="#ipdb-module" title="Permalink to this headline">¶</a></h1>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p>The IPDB module is deprecated and obsoleted by NDB. Please consider
using NDB instead.</p>
</div>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="ipdb.html">IPDB guide</a><ul>
<li class="toctree-l2"><a class="reference internal" href="ipdb.html#limitations">Limitations</a></li>
<li class="toctree-l2"><a class="reference internal" href="ipdb.html#ipdb-ndb-iproute">IPDB, NDB, IPRoute</a></li>
<li class="toctree-l2"><a class="reference internal" href="ipdb.html#ipdb-and-other-software">IPDB and other software</a></li>
<li class="toctree-l2"><a class="reference internal" href="ipdb.html#quickstart">Quickstart</a></li>
<li class="toctree-l2"><a class="reference internal" href="ipdb.html#transaction-modes">Transaction modes</a></li>
<li class="toctree-l2"><a class="reference internal" href="ipdb.html#context-managers">Context managers</a></li>
<li class="toctree-l2"><a class="reference internal" href="ipdb.html#read-only-interface-views">Read-only interface views</a></li>
<li class="toctree-l2"><a class="reference internal" href="ipdb.html#create-interfaces">Create interfaces</a></li>
<li class="toctree-l2"><a class="reference internal" href="ipdb.html#ip-address-management">IP address management</a></li>
<li class="toctree-l2"><a class="reference internal" href="ipdb.html#bridge-interfaces">Bridge interfaces</a></li>
<li class="toctree-l2"><a class="reference internal" href="ipdb.html#bridge-ports">Bridge ports</a></li>
<li class="toctree-l2"><a class="reference internal" href="ipdb.html#ports-management">Ports management</a></li>
<li class="toctree-l2"><a class="reference internal" href="ipdb.html#routes-management">Routes management</a></li>
<li class="toctree-l2"><a class="reference internal" href="ipdb.html#rules-management">Rules management</a></li>
<li class="toctree-l2"><a class="reference internal" href="ipdb.html#performance-issues">Performance issues</a></li>
<li class="toctree-l2"><a class="reference internal" href="ipdb.html#the-class-api">The class API</a></li>
</ul>
</li>
</ul>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="ndb_auth.html"
                        title="previous chapter">Authorization plugins</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="ipdb.html"
                        title="next chapter">IPDB guide</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/ipdb_toc.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="ipdb.html" title="IPDB guide"
             >next</a> |</li>
        <li class="right" >
          <a href="ndb_auth.html" title="Authorization plugins"
             >previous</a> |</li>
        <li class="nav-item"><a href="http://pyroute2.org">Project home</a> &#187;</li>
        <li class="nav-item nav-item-0"><a href="index.html">pyroute2 0.5.14 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2013, Peter V. Saveliev.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.1.2.
    </div>
  </body>
</html>